package com.zhongzheng.modules.grade.mapper;

import com.zhongzheng.modules.goods.vo.GoodsVo;
import com.zhongzheng.modules.grade.bo.ClassGradeQueryBo;
import com.zhongzheng.modules.grade.bo.ClassGradeUserQueryBo;
import com.zhongzheng.modules.grade.domain.ClassGrade;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhongzheng.modules.grade.vo.ClassGradeStudentVo;
import com.zhongzheng.modules.grade.vo.ClassGradeUserListVo;
import com.zhongzheng.modules.grade.vo.ClassGradeVo;

import java.util.Collection;
import java.util.List;

/**
 * 班级Mapper接口
 *
 * @author ruoyi
 * @date 2021-11-10
 */
public interface ClassGradeMapper extends BaseMapper<ClassGrade> {

    Collection<ClassGradeVo> queryList(ClassGradeQueryBo bo);

    List<GoodsVo> queryGoodsList(Long classId);


    List<ClassGradeStudentVo> listGrade(ClassGradeUserQueryBo bo);

    List<ClassGradeUserListVo> listGradeInform(ClassGradeQueryBo bo);

    List<ClassGradeStudentVo> listGradeStudy(ClassGradeQueryBo bo);

    List<ClassGradeStudentVo> listGradeService(Long id);
}
